#include <windows.h>
#include <tchar.h>

LRESULT WINAPI WndProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam )
{
	switch( msg )
	{
		case WM_DESTROY:
			PostQuitMessage( 0 );
			return 0;
		case WM_PAINT:
			RECT rect;
			PAINTSTRUCT ps;
			HDC hdc = BeginPaint(hWnd, &ps);
			GetClientRect(hWnd, &rect);
			FillRect(hdc, &rect, (HBRUSH) (COLOR_WINDOW));
			DrawText(hdc, _T("Hej! : D"), -1, &rect, DT_CENTER | DT_VCENTER);
			EndPaint(hWnd, &ps);
			return 0;
	}

	return DefWindowProc( hWnd, msg, wParam, lParam );
}


int WINAPI _tWinMain( HINSTANCE hInstance, HINSTANCE, LPTSTR, INT )
{
	// Tworzenie okna:
	WNDCLASSEX wc;
	ZeroMemory( &wc, sizeof( WNDCLASSEX ) );
	wc.cbSize = sizeof( WNDCLASSEX );
	wc.style = CS_CLASSDC;
	wc.lpfnWndProc = WndProc;
	wc.hInstance = hInstance;
	wc.lpszClassName = _T( "LabiryntWndClass" );
	RegisterClassEx( &wc );

	HWND hWnd = CreateWindow(
		_T( "LabiryntWndClass" ),
		_T( "Trjwymiarowy labirynt ;)" ),
		WS_SYSMENU | WS_MINIMIZEBOX,
		CW_USEDEFAULT, CW_USEDEFAULT,
		800, 600,
		NULL, NULL,
		hInstance,	
		NULL );
	
	//	Wywietl okno:
	ShowWindow( hWnd, SW_SHOWDEFAULT );


	//	Ptla komunikatw i renderowania:
	MSG msg;
	while( GetMessage( &msg, NULL, 0U, 0U ) )
	{
		TranslateMessage( &msg );
		DispatchMessage( &msg );
	}

	//	Wyrejestrowanie klasy okna:
	UnregisterClass( _T("LabiryntWndClass"), hInstance );

	//	Zwracamy warto komunikatu WM_QUIT:
	return msg.wParam;
}



